Skip to main content
`Ctrl`+`K`

# DMPlexInflateToGeomModelUseTUV

Inflates the DM to the associated underlying geometry using the [t] {EDGES) and [u, v] (FACES} associated parameters. Requires a DM with an EGADS model attached and a previous call to DMPlexGetGeomModelTUV().

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexInflateToGeomModelUseTUV(DM dm) PeNS

Collective

## Input Parameter

- dm - The DM object representing the mesh with PetscContainer containing an EGADS geometry model

## Note

The updated DM object inflated to the associated underlying geometry. This updates the [x, y, z] coordinates of DM points associated with geometry.

## See Also

`DMPLEX`, `DMCreate()`, `DMPlexCreateGeom()`, `DMPlexGeomDataAndGrads()`, `DMPlexGetGeomModelTUV()`

## Level

intermediate

## Location

src/dm/impls/plex/plexegads.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages